Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class FlagTextEnum

    java.lang.Object
      com.compoze.collab.CollabEnum
          com.compoze.collab.exchange.FlagTextEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class FlagTextEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent some standard strings that are associated with a flag status on an item. These are only some of the recommended values since any string can be used as flag text. The enumeration class that contains `FlagText` elements.

See Also:
  Serialized Form

Field Summary
`static FlagText` | `CALL`
`static FlagText` | `DO_NOT_FORWARD`
`static FlagText` | `FOLLOW_UP`
`static FlagText` | `FOR_YOUR_INFORMATION`
`static FlagText` | `FORWARD`
`static FlagText` | `NO_RESPONSE_NECESSARY`
`static int` | `NUM_ELEMENTS`
`static FlagText` | `READ`
`static FlagText` | `REPLY`
`static FlagText` | `REPLY_TO_ALL`
`static FlagText` | `REVIEW`
`static int` | `VALUE_CALL`
`static int` | `VALUE_DO_NOT_FORWARD`
`static int` | `VALUE_FOLLOW_UP`
`static int` | `VALUE_FOR_YOUR_INFORMATION`
`static int` | `VALUE_FORWARD`
`static int` | `VALUE_NO_RESPONSE_NECESSARY`
`static int` | `VALUE_READ`
`static int` | `VALUE_REPLY`
`static int` | `VALUE_REPLY_TO_ALL`
`static int` | `VALUE_REVIEW`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `FlagTextEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `FlagTextEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_CALL

    public static final int VALUE_CALL

See Also:
  Constant Field Values

### VALUE_DO_NOT_FORWARD

    public static final int VALUE_DO_NOT_FORWARD

See Also:
  Constant Field Values

### VALUE_FOLLOW_UP

    public static final int VALUE_FOLLOW_UP

See Also:
  Constant Field Values

### VALUE_FOR_YOUR_INFORMATION

    public static final int VALUE_FOR_YOUR_INFORMATION

See Also:
  Constant Field Values

### VALUE_FORWARD

    public static final int VALUE_FORWARD

See Also:
  Constant Field Values

### VALUE_NO_RESPONSE_NECESSARY

    public static final int VALUE_NO_RESPONSE_NECESSARY

See Also:
  Constant Field Values

### VALUE_READ

    public static final int VALUE_READ

See Also:
  Constant Field Values

### VALUE_REPLY

    public static final int VALUE_REPLY

See Also:
  Constant Field Values

### VALUE_REPLY_TO_ALL

    public static final int VALUE_REPLY_TO_ALL

See Also:
  Constant Field Values

### VALUE_REVIEW

    public static final int VALUE_REVIEW

See Also:
  Constant Field Values

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

See Also:
  Constant Field Values

### CALL

    public static final FlagText CALL

### DO_NOT_FORWARD

    public static final FlagText DO_NOT_FORWARD

### FOLLOW_UP

    public static final FlagText FOLLOW_UP

### FOR_YOUR_INFORMATION

    public static final FlagText FOR_YOUR_INFORMATION

### FORWARD

    public static final FlagText FORWARD

### NO_RESPONSE_NECESSARY

    public static final FlagText NO_RESPONSE_NECESSARY

### READ

    public static final FlagText READ

### REPLY

    public static final FlagText REPLY

### REPLY_TO_ALL

    public static final FlagText REPLY_TO_ALL

### REVIEW

    public static final FlagText REVIEW

Constructor Detail

### FlagTextEnum

    protected FlagTextEnum(java.lang.Class elementClass,
                           int iNumElements,
                           com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                           EnumElement defaultElement,
                           java.lang.String sInternalName,
                           boolean bMaskable)

  Constructor.

### FlagTextEnum

    protected FlagTextEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.